#include<bits/stdc++.h>
#pragma GCC optimize("Ofast,fast-math,unroll-loops")
#pragma GCC target("avx2,bmi,bmi2,lzcnt,popcnt")
#define ll long long
using namespace std;
bool smaller(int x);
int find_number(int MAX){
    int l=1,r=MAX;
    while(l!=r){
        int m=(l+r+1)/2;
        if(smaller(m)){
            r=m-1;
        }
        else{
            l=m;
        }
    }
    return l;
}